Rigel: config - Task #20420

Rigel New Ul: Intergrate the Figma Ul
05/07/2024 04:19 PM - Sufiyaan Shaik

Status: Closed Start date: 05/07/2024
Priority: Normal Due date:

Assignee: Sufiyaan Shaik % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

In this issue we need to change the navbar from the previous one, and we need to implement the side view for the app/module/config
as provided by the figma developer

History

#1 - 05/07/2024 04:41 PM - Sufiyaan Shaik
- % Done changed from 0 to 30

- Status changed from New to In Progress

Today me and Adarsh discussed about the design and started implementing

Restructured the Top menu according to the figma provided
Changed the structure of the dropdowns of App/ Module/ Config as provided by the figma developer
Even handling the dark/light theme accordingly

Not fully responsive, but handled some scenarios as of now, Slowly with the redesigning we will make it responsive

#2 - 08/07/2024 06:44 PM - Adarsh Shukla
- % Done changed from 30 to 40

Today me and Sufiyaan worked on Config list screen integration as per figma design.

#3 - 10/07/2024 07:22 PM - Sufiyaan Shaik
- % Done changed from 40 to 50

Today me and Aadarsh worked on Integration of config screen design and pagination

#4 - 12/07/2024 05:46 PM - Adarsh Shukla
- % Done changed from 50 to 70

Today me and sufiyaan worked on the logical changes of config screen based on Figma designs.

#5 - 16/07/2024 12:51 PM - Sufiyaan Shaik
- % Done changed from 70 to 80

Today me and Adarsh worked on adding the history feature to see the previous config values

#6 - 17/07/2024 05:56 PM - Adarsh Shukla

Today we worked on pagination and i18n localization.

#7 - 18/07/2024 03:31 PM - Adarsh Shukla
- % Done changed from 80 to 90

Today we worked on confirm changes and discard changes logical part.

#8 - 22/07/2024 07:24 PM - Sufiyaan Shaik

Today me and adarsh worked on the responsiveness of the site
#9 - 26/08/2024 06:45 PM - Sufiyaan Shaik

Worked on responsiveness of website
IPads only

#10 - 11/09/2024 05:43 PM - Sufiyaan Shaik

Today me and adarsh worked on Ul design of new feature called Alert(impactAlertMsg) modal for each config parameters.
Fixed some Ul bugs

#11 - 16/09/2024 05:05 PM - Sufiyaan Shaik

Today we successfully integrated impactAlert attribute in getSchema() WS through mockoon and displayed the impactAlert message on a
confirmation modal before saving eacg config parameter.

Changed the style of displaying the Date/Time in the history modal

Added i18n localization

#12 - 01/10/2024 06:45 PM - Sufiyaan Shaik

Designed a login page for Rigel(which might be used in future)
Added guards so that the user cannot enter without login

Started integrating the login api in mockoon for testing purpose(which might be used with keycloak in future)

#13 - 16/10/2024 06:25 PM - Sufiyaan Shaik

Designed login page for Rigel by integrating it with keycloak in angular project, created realm called test(testing purpose) with client-id=rigel
Added custom-theme to keycloak called rigel-theme and designed it using ftl and pattern-fly css

#14 - 30/10/2024 05:31 PM - Sufiyaan Shaik

worked on responsivness of the website(ipads and above), added toggle to hide and show the sidebar, during ipad mode for better Ul experience

#15 - 05/11/2024 06:13 PM - Sufiyaan Shaik

Added miscellaneous feature
Code pushed

#16 - 10/12/2024 05:56 PM - Sufiyaan Shaik

Bugs solved regarding to drop-down values and display screen

#17 - 06/01/2025 06:20 PM - Sufiyaan Shaik

Test Cases for Revamped Version of Rigel v2

1. Test case for schemalist and schemaDetails API
2. Localisation
3. Theme change

#18 - 08/01/2025 06:31 PM - Sufiyaan Shaik

Test case to handle positive scenario to change config parameter value
Int -- transactionTimeout

Float -- maxEmailSize

String(enum) -- currencyType

boolean -- logLevel

#19 - 13/01/2025 05:39 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Cypress code to test the functionality of the rigel flow, including the fieldType check for int,float,string and boolean config values
#20 - 16/01/2025 06:06 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Modified the rigel test case in-order to meet the validation for config parameters

#21 - 17/01/2025 12:18 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Some modification regarding the validation for config values(field type string(enum))
#22 - 22/01/2025 03:35 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Functional testing done for rigel flow

Started with API testing, SCHEMALIST API

Handled scenario of req,res in expected manner, and added a scenario for invalid-endpoint given

For example
http://localhost:3002/api/v1/schemalist (This is successfully run with expected response)

http://localhost:3002/api/v1/invalid-endpoint (This is fail and if the expected structure is not present in the response, it will fail too)

#23 - 28/01/2025 05:36 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Started with API testing, CONFIGLIST API

Handled scenario of req,res in expected manner, and added a scenario for invalid-endpoint given
#24 - 30/01/2025 12:21 PM - Sufiyaan Shaik

Code pushed to git new_ui/ux_rigel branch. Issue number #20420

Started with API testing, getSchemDetails API

Handled scenario of req,res in expected manner, and added a scenario for invalid-endpoint given
#25 - 07/02/2025 06:41 PM - Sufiyaan Shaik

Intergarted exceljs , into rigel application for handling the test case data into excel sheet
Schemalist

Configlist
SchemabData

#26 - 11/02/2025 06:07 PM - Sufiyaan Shaik

Tested 5 scenarios for each API (schemalist, configList, schemaDetails)

1 Test SchemalList API Passed Data Fetched Successfully 11/2/2025 11:30:35am 7 ms 200 200

2 Test Invalid SchemalList Endpoint Failed Unexpected Error 11/2/2025 11:30:35am 4 ms 404 40410

3 Test SchemalList API - FinanaceApp Passed Data Fetched Successfully 11/2/2025 11:30:35am 5 ms 200 2000
4 Test Missing Query Params Failed Expected 400 but got 200 11/2/2025 11:30:35am 5ms 400 2000

5 Test Unsupported Method Failed Expected 405 but got 404 11/2/2025 11:30:35am 4 ms 40540410

#27 - 28/02/2025 05:46 PM - Sufiyaan Shaik
- % Done changed from 90 to 100

- Status changed from In Progress to Closed

Commited and pushed all the code to the task id #20420

Even pushed the rigel mockoon data
